Subject: Adaptation framing was RE: Encapsulation Method

From: [email-masked]
Date: Tue, 11 Apr 2000 13:49:09 -0500

Hi,

Sorry for answering the wrong question.  

Then again that is one of the reasons we decided to rename the
encapsulation field 
to the adaptation field at the last meeting - I, for one, kept getting
confused.

And yes, you are right, that is a field I neglected to document in the 04
revision 
of the spec.  Following is a draft of the documentation for that field.
Please send 
comments on this text.  I would also appreciate recommendations for more
adaptations 
methods to include in the list of adaptations.

-------------

+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|IQS|OQS|P|N|x|O|            Adaptation Method                  |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

O Flag
The Opaque flag indicates whether the adaptation field is opaque, 
or whether it refers to a method defined by the protocol. 

Adaptation Method

The adaptation method is used to define the adaptation framing that 
in use when moving traffic from one port type to another port 
type; e.g. from a frame relay port to an ATM port. If no adaptation
framing is used the field must be zero.

This interpretation of this field is controlled by the Opaque flag.  
If the Opaque  flag is set, then this field is defined by the switch 
manufacturer and is not defined in this protocol.  
If the opaque flag is not set, then the field is divided into 2 12 bit 
fields as shown below:

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |IQS|OQS|P|N|x|O|    Input Adaptation   |   Output Adaptation   |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Input Adaptation
      Adaptation framing method used on incoming connections.
Output Adaptation
      Adaptation framing method used on outgoing connections.

Adaptation Types: 

    0x100                        PPP
    0x200                        FRF.5
    0x201                        FRF.8
     ...                          ...
---------------------------------------------------------------------------

thanks

a.
-----------------------------------
avri doria
GSM: +1 781 308 7680                

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: 08 April, 2000 8:45 AM
> To: [email-masked]
> Subject: Re: Encapsulation Method
> 
> 
> Thank for your reply.
> 
> I see 3 GSMP message encapsulation method.(TCP, Ethernet and 
> ATM Encapsulation)
> 
> but I want to know Encapsulation Method field in GSMP 
> connection message. (page 26 in draft-ietf-gsmp-04.txt)
> 
> Best Regards.
> 
> 
> ----- Original Message ----- 
> 보낸 사람: <[email-masked]>
> 받는 사람: <[email-masked]>
> 보낸 날짜: 2000년 4월 7일 금요일
> 제목: RE: Encapsulation Method
> 
> 
> > Hi,
> > 
> > There are 3 encapsulations defined so far: IP, ATM and raw Ethernet.
> > 
> > These are documented in draft-ietf-gsmp-encaps-00.txt
> > 
> > Regards,
> > 
> > a.
> > -----------------------------------
> > avri doria
> > GSM: +1 781 308 7680                
> > 
>